export * from './callMediaType';
export * from './callStatus';
export * from './errorCode';
export * from './errorMsg';
export * from './storeName';
export * from './callRole';
export * from './language';
export * from './logLevel';
export * from './videoDisplayMode';
export * from './videoResolution';
export * from './statusChange';

// import { keys } from 'ts-transformer-keys';
// import { ICallStore } from '../interface/store';
// console.warn('--> ', keys<ICallStore>())

export const CALL_DATA_KEY: any = {
  CALL_STATUS: 'callStatus',
  CALL_ROLE: 'callRole',
  CALL_MEDIA_TYPE: 'callMediaType',
  LOCAL_USER_INFO: 'localUserInfo',
  REMOTE_USER_INFO_LIST: 'remoteUserInfoList',
  CALLER_USER_INFO: 'callerUserInfo',
  IS_GROUP: 'isGroup',
  CALL_DURATION: 'callDuration',
  CALL_TIPS: 'callTips',
  TOAST_INFO: 'toastInfo',
  IS_MINIMIZED: 'isMinimized',
  LANGUAGE: 'language',
  IS_CLICKABLE: 'isClickable',
  DISPLAY_MODE: 'displayMode',
  VIDEO_RESOLUTION: 'videoResolution',
};

export const NAME = {
  PREFIX: '【CallService】',
  AUDIO: 'audio',
  VIDEO: 'video',
  LOCAL_VIDEO: 'localVideo',
  ERROR: 'error',
  TIMEOUT: 'timeout',
  RAF: 'raf',
  INTERVAL: 'interval',
  DEFAULT: 'default',
  BOOLEAN: 'boolean',
  STRING: 'string',
  NUMBER: 'number',
  OBJECT: 'object',
  ARRAY: 'array',
  FUNCTION: 'function',
  ...CALL_DATA_KEY,
};
